﻿namespace TestProject;

/// <summary>
/// 항목
/// </summary>
public class Item
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region ID - ID

    /// <summary>
    /// ID
    /// </summary>
    public int ID { get; set; }

    #endregion
    #region 명칭 - Name

    /// <summary>
    /// 명칭
    /// </summary>
    public string Name { get; set; }

    #endregion
    #region 코드 - Code

    /// <summary>
    /// 코드
    /// </summary>
    public string Code { get; set; }

    #endregion
    #region 가격 - Price

    /// <summary>
    /// 가격
    /// </summary>
    public int Price { get; set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 문자열 구하기 - ToString()

    /// <summary>
    /// 문자열 구하기
    /// </summary>
    /// <returns>문자열</returns>
    public override string ToString()
    {
        return $"ID={ID};Name={Name};Code={Code};Price={Price}";
    }

    #endregion
}